Subject: Re: Application software needs to be "zeroconf-aware"?

From: Keith Moore <[email-masked]>
Date: Wed, 08 Jan 2003 18:56:41 -0500

> Are there other examples of scoped addresses of this nature where there
> isn't a single obvious restricted point of contact between networks (the NAT
> gateway)? You could cite the use of other unroutable networks (10.x.x.x etc)
> but are these commonly run concurrently with global addresses on multihomed
> hosts? If so how are the problems solved?

IPv6 has the same problem with scoped addresses, and for this reason there is
growing sentiment in the IPv6 world to restrict or discourage general-purpose
use of both site-local and link-local addresses.

--
Keith Moore                              http://www.cs.utk.edu/~moore/
27 February 1933                                     11 September 2001

---

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Thu, 09 Jan 2003 11:44:17 +0900

>>>>> On Wed, 08 Jan 2003 18:56:41 -0500, 
>>>>> Keith Moore <[email-masked]> said:

> use of both site-local and link-local addresses.

(Sorry for commenting on the point which is not very essential to the
discussion here)

For the record, my impression on the case of the IPv6 world is that
there is few discussion about the usage of link-local addresses, while
there is an ongoing, heated discussion on the usage of site-local
addresses.  Also, though it is true that some people in the IPv6 world
have the sentiment to restrict site-local addresses, there is also a
group of a certain amount of people that has the opposite opinion.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Wed, 8 Jan 2003 22:37:49 -0500

> addresses.  

That is my impression also about the discussion.  But while site-locals
are controversial, there seems to be a general consensus that IPv6 
link-locals are for special purposes only.  

> Also, though it is true that some people in the IPv6 world

agreed.